# loki.jit_build.obj

Classes

`Obj`(*args[, name]) | A single source object representing a single C or Fortran source file.

class Obj(*args, name=None, **kwargs)

  Bases: `object`

  A single source object representing a single C or Fortran source file.

  MODEMAP = {'.CC': 'cpp', '.c': 'c', '.cc': 'c', '.cpp': 'cpp', '.cxx': 'cpp', '.f': 'f', '.f90': 'f90'}
  classmethod clear_cache()
  property source
  property modules
  property subroutines
  property uses
  property includes
  property dependencies

    Names of build items that this item depends on.

  property definitions

    Names of provided subroutine and modules.

  build(builder=None, logger=None, compiler=None, workqueue=None, force=False, include_dirs=None)

    Execute the respective build command according to the given :param toochain:.

    Please note that this does not build any dependencies.

  wrap(builder=None, kind_map=None)

    Wrap the compiled object using `f90wrap` and return the loaded module.